/* -*- mode: C++ ; c-basic-offset: 2; indent-tabs-mode: nil -*- */

%include "std_string.i"
%include "std_vector.i"

%{
#include "nds_epoch.hh"

using NDS::epoch;
%}

class epoch
{
public:
	std::string name;
	buffer::gps_second_type gps_start;
	buffer::gps_second_type gps_stop;

	epoch();
	epoch(const epoch &other);
	epoch (const std::string &name, buffer::gps_second_type start, buffer::gps_second_type stop);
};

%template(epochs_type) std::vector<epoch>;
typedef std::vector<epoch> epochs_type;